B2SUM(1)

NÉV
b2sum - kiszmtja s ellenrzi az BLAKE2 zenet kivonatot

ÖSSZEGZÉS
b2sum [KAPCSOL]... [FJL]...

LEÍRÁS

Print or check BLAKE2b (512-bit) checksums. Legacy interface to the cksum utility.

Ha a FÁJL nincs megadva, vagy -, akkor a szabványos bemenetet olvassa.

A hosszú kapcsolók kötelező argumentumai a rövid kapcsolókhoz is kötelezők.

-b, --binary
    olvasás bináris módban

-c, --check
    read checksums from the FILEs and check them

-l, --length=BITS
    digest length in bits; must not exceed the max size and must be a multiple of 8 for blake2b; must be 224, 256, 384, or 512 for sha2 or sha3

--tag
    BSD-stílusú ellenőrzőösszeg létrehozása

-t, --text
    olvasás szöveges módban (alapértelmezett)

-z, --zero
    end each output line with NUL, not newline, and disable file name escaping

  Az alábbi öt kapcsoló csak ellenőrzőösszegek ellenőrzésekor hasznos:

--ignore-missing
    ne legyen sikertelen és ne jelezzen ki állapotot hiányzó fájlok esetén

--quiet
    ne írja ki az OK-t minden sikeres ellenőrzéskor

--status
    ne írjon ki semmit, az állapotkód jelzi a sikert

--strict
    kilépés nem nullával a hibásan formázott ellenőrzőösszeg-sorokhoz

-w, --warn
    figyelmeztessen a helytelenül formázott ellenőrzőösszeg-sorokra

--help
    ezen súgó megjelenítése és kilépés

--version
    verzióinformációk megjelenítése és kilépés

The sums are computed as described in RFC 7693. When checking, the input should be a former output of this program. The default mode is to print a line with: checksum, a space, a character indicating input mode ('*' for binary, ' ' for text or where binary is insignificant), and name for each FILE.

There is no difference between binary mode and text mode on GNU systems.

SZERZŐ
rta Padraig Brady s Samuel Neves.

HIBÁK JELENTÉSE
A hibák a(z) bug-coreutils@gnu.org címen jelenthetők.
A(z) GNU coreutils honlapja: <https://www.gnu.org/software/coreutils/>
Általános segítség a GNU szoftverek használatához: <https://www.gnu.org/gethelp/>
Report any translation bugs to <https://translationproject.org/team/>

LÁSD MÉG
cksum(1)

Teljes dokumentci <https://www.gnu.org/software/coreutils/b2sum>
vagy helyileg elrhet: info '(coreutils) b2sum invocation'

Packaged by Debian (9.10-1)
Copyright © 2026 Free Software Foundation, Inc.
A licenc GPLv3+: a GNU GPL 3. vagy újabb változata: <https://gnu.org/licenses/gpl.html>.
Ez egy szabad szoftver, terjesztheti és/vagy módosíthatja.
NINCS GARANCIA, a törvény által engedélyezett mértékig.

FORDÍTÁS
A kézikönyv magyar fordítását a Kovács Emese <emese@eik.bme.hu> készítette.

Ez a fordítás ingyenes dokumentáció; lásd a GNU General Public License 3 (https://www.gnu.org/licenses/gpl-3.0.html). Vagy újabb verzióját a szerzői jogi feltételekkel kapcsolatban. Feltételezzük, hogy NEM FELELŐSSÉG.

Ha hibát talál a kézikönyv oldal fordításában, küldje el a e-mail cím: TODO..